import { GrammarMarkType } from "@visactor/vgrammar-core";

import { PlotMakType } from "./enums";

import { SemanticMark } from "./semantic-mark";

export class PathSemanticMark extends SemanticMark {
    constructor(id) {
        super(PlotMakType.path, id);
    }
    setMarkType() {
        return GrammarMarkType.path;
    }
    parseScaleByEncode(channel, option) {
        return null;
    }
    convertMarkEncode(encode) {
        var _a, _b, _c, _d;
        const markEncoder = this.convertSimpleMarkEncode(encode), res = {};
        return markEncoder.stroke && (res.stroke = markEncoder.stroke), res.fill = null !== (_c = null !== (_a = markEncoder.color) && void 0 !== _a ? _a : null === (_b = this.spec.style) || void 0 === _b ? void 0 : _b.fill) && void 0 !== _c ? _c : null === (_d = this.getPalette()) || void 0 === _d ? void 0 : _d[0], 
        null;
    }
}

PathSemanticMark.type = PlotMakType.path;
//# sourceMappingURL=path.js.map